# $Revision: 1.68 $, $Date: 2011/01/29 10:34:25 $
Summary:	Process accounting tools
Summary(es.UTF-8):	Herramientas de contabilidad de procesos
Summary(pl.UTF-8):	Program do logowania procesów użytkowników
Summary(pt_BR.UTF-8):	Ferramentas de contabilização de processos
Summary(uk.UTF-8):	Утиліти для моніторингу активності процесів
Summary(ru.UTF-8):	Утилиты для мониторинга активности процессов
Name:		psacct
Version:	6.5.5
Release:	2
License:	GPL v3+
Group:		Applications/System
Source0:	http://ftp.gnu.org/gnu/acct/acct-%{version}.tar.gz
# Source0-md5:	554a9e9c6aa3482df07e80853eac0350
Source1:	acct.logrotate
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source2-md5:	85eb213fc45fad1c7834d239ff8e28a4
Source3:	acct.sysinit
Source4:	acct.sysconfig
Patch0:		acct-info.patch
Patch1:		%{name}-path.patch
URL:		http://www.gnu.org/directory/GNU/acct.html
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
Requires:	logrotate
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tools necessary for accounting the activities of processes are
included here.

%description -l es.UTF-8
Están incluidas aquí las herramientas necesarias para contabilizar las
actividades de procesos.

%description -l pl.UTF-8
Narzędzia niezbędne do logowania wszystkich procesów i komend
użytkowników oraz monitorowania systemu.

%description -l pt_BR.UTF-8
As ferramentas necessárias para contabilizar as atividades de
processos estão incluídas aqui.

%description -l uk.UTF-8
Цей пакет містить утиліти для збору та обробки статистики активності процесів.

%description -l ru.UTF-8
Этот пакет содержит утилиты для сбора и обработки статистики активности
процессов.

%prep
%setup -q -n acct-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%{__autoheader}

%configure \
	--enable-linux-multiformat

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d,logrotate.d,sysconfig},/sbin,/var/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT{%{_sbindir}/accton,/sbin/accton}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/acct
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/rc.acct
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/acct
bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

touch $RPM_BUILD_ROOT/var/log/{pacct,usracct,savacct}

# in PLD it's packaged in SysVinit
%{__rm} $RPM_BUILD_ROOT{%{_bindir}/last,%{_mandir}/man1/last.1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "1" ]; then
	/etc/rc.d/rc.acct stop 1>&2
	echo "Type \"/etc/rc.d/rc.acct start\" to run accounting."
	touch /var/log/{pacct,usracct,savacct}
	chmod 640 /var/log/{pacct,usracct,savacct}
else
	/etc/rc.d/rc.acct reload 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/rc.acct stop 1>&2
fi

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(754,root,root) /etc/rc.d/rc.acct
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/acct
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/acct
%attr(640,root,root) %ghost /var/log/pacct
%attr(640,root,root) %ghost /var/log/usracct
%attr(640,root,root) %ghost /var/log/savacct

%attr(755,root,root) %{_bindir}/ac
%attr(755,root,root) %{_bindir}/lastcomm
%attr(755,root,root) /sbin/accton
%attr(755,root,root) %{_sbindir}/dump-acct
%attr(755,root,root) %{_sbindir}/dump-utmp
%attr(755,root,root) %{_sbindir}/sa

%{_mandir}/man1/ac.1*
%{_mandir}/man1/lastcomm.1*
%{_mandir}/man8/dump-utmp.8*
%{_mandir}/man8/sa.8*
%{_mandir}/man8/accton.8*
%lang(fi) %{_mandir}/fi/man1/ac.1*
%lang(fi) %{_mandir}/fi/man1/lastcomm.1*
%lang(fr) %{_mandir}/fr/man8/accton.8*
%lang(pl) %{_mandir}/pl/man1/ac.1*

%{_infodir}/accounting.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psacct.spec,v $
Revision 1.68  2011/01/29 10:34:25  qboosh
- updated sysinit script ("off" argument is now required explicitly)
- release 2

Revision 1.67  2011/01/29 10:29:22  qboosh
- updated info patch is back (unify direntry)
- ac,lt versions, missing libtoolize call

Revision 1.66  2011/01/29 10:00:01  qboosh
- added AUTHORS and TODO to docs
- package dump-utmp
- clean last files (packaged in SysVinit)

Revision 1.65  2011/01/29 00:07:14  sparky
- dropped pre-cvs changelog

Revision 1.64  2011/01/28 22:36:02  baggins
- 6.5.5 from gnu.org
- removed obsolete patches

Revision 1.63  2008/01/24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.62  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.61  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.60  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.59  2004/08/18 16:21:18  undefine
- release 11

Revision 1.58  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.57  2003/08/12 19:31:36  qboosh
- some changes to fix the "where is my disk space???!!!" issue:
  - separated sysinit script to be called from rc.sysinit/rc.shutdown/logrotate
  - made it configurable through /etc/sysconfig/acct
  - use it in postrotate script in logrotate file
- release 10

Revision 1.56  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.55  2003/05/28 13:01:24  malekith
- massive attack: source-md5

Revision 1.54  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2002/12/28 16:25:13  qboosh
- added URL, changed Source0 URL to working one

Revision 1.52  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.51  2002/12/16 07:45:15  aniou
- fixed typo in message: s/actton/accton/

Revision 1.50  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.49  2002/07/21 19:13:03  kloczek
- texinfo added to BuildRequires.

Revision 1.48  2002/07/21 18:55:53  undefine
- {uk,ru} {description,summary} from KSI
- %{name}-ac_am.patch to allow compile with new ac/am
- %{name}-path.patch to change path from /var/account to /var/log
- move /usr/sbin/accton to /sbin/accton to work with rc-scripts
- release 9
- stbr

Revision 1.47  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.45  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/21 22:43:25  ankry
- added fi, fr, pl man pages
- release 8

Revision 1.42  2001/10/21 13:33:30  kloczek
- merge translations from CNV.

Revision 1.41  2001/10/21 13:07:59  qboosh
- amfix patch for automake 1.5
- removed bashisms from post/preun
- release 7

Revision 1.40  2001/10/04 07:55:35  qboosh
- adapterized, BuildRequires: autoconf,automake

Revision 1.39  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.36  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.35  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.34  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.33  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.32  2000/05/15 19:41:00  kloczek
- release 6.

Revision 1.31  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.30  2000/04/20 20:48:43  kloczek
- release 4,
- added missing %dir /var/account.

Revision 1.29  2000/04/19 18:56:22  kloczek
- place directly acct instead %%{name} in two required places.

Revision 1.28  2000/04/19 18:39:19  kloczek
- back to psacct package name.

Revision 1.26  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.24  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.23  1999/09/19 10:21:03  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.22  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
